#!/bin/sh
# ------------------------------------------------------------------------------
# IBM Confidential
# OCO Source Materials
# 5724-T40
# 5725-C68
#
# (C) Copyright IBM Corporation 2012.  All rights reserved.
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
#
# ------------------------------------------------------------------------------

VMM_HOME=`dirname $0`
VMM_LOCAL_LIB=$VMM_HOME/lib
JAVA_CMD="${VMM_HOME}/java/jre/bin/java"

####### PROPERTIES DEFINITONS #######
VMM_PROPERTIES_DEFS=-Dcom.ibm.license.mgmt.datacollector.home.path="$VMM_HOME"
#VMM_PROPERTIES_DEFS=$VMM_PROPERTIES_DEFS -Djava.library.path="%VMM_LOCAL_LIB%"


####### CLASS PATH DEFINITONS #######
VMM_CLASS_PATH=$VMM_LOCAL_LIB/tivolicommondir.jar
VMM_CLASS_PATH=$VMM_CLASS_PATH:$VMM_LOCAL_LIB/com.ibm.icu_4.0.1.v20090822.jar
VMM_CLASS_PATH=$VMM_CLASS_PATH:$VMM_LOCAL_LIB/com.ibm.license.mgmt.scheduler.jar
VMM_CLASS_PATH=$VMM_CLASS_PATH:$VMM_LOCAL_LIB/com.ibm.license.mgmt.datacollector.jar
VMM_CLASS_PATH=$VMM_CLASS_PATH:$VMM_LOCAL_LIB/com.ibm.license.mgmt.datacollector.dto.jar
VMM_CLASS_PATH=$VMM_CLASS_PATH:$VMM_LOCAL_LIB/com.ibm.license.mgmt.encryption_v2.jar
VMM_CLASS_PATH=$VMM_CLASS_PATH:$VMM_LOCAL_LIB/com.ibm.license.mgmt.msgandtrace.jar
VMM_CLASS_PATH=$VMM_CLASS_PATH:$VMM_LOCAL_LIB/com.ibm.license.mgmt.util.jar
VMM_CLASS_PATH=$VMM_CLASS_PATH:$VMM_LOCAL_LIB/com.ibm.license.mgmt.vmmanager.jar
VMM_CLASS_PATH=$VMM_CLASS_PATH:$VMM_LOCAL_LIB/axis.jar
VMM_CLASS_PATH=$VMM_CLASS_PATH:$VMM_LOCAL_LIB/apputils.jar
VMM_CLASS_PATH=$VMM_CLASS_PATH:$VMM_LOCAL_LIB/com.ibm.ws.webservices.thinclient_7.0.0.jar
VMM_CLASS_PATH=$VMM_CLASS_PATH:$VMM_LOCAL_LIB/vim.jar
VMM_CLASS_PATH=$VMM_CLASS_PATH:$VMM_LOCAL_LIB/JSON4J.jar
VMM_CLASS_PATH=$VMM_CLASS_PATH:$VMM_LOCAL_LIB/commonj-twm.jar
VMM_CLASS_PATH=$VMM_CLASS_PATH:$VMM_LOCAL_LIB/jffdc.jar
VMM_CLASS_PATH=$VMM_CLASS_PATH:$VMM_LOCAL_LIB/jlog.jar
VMM_CLASS_PATH=$VMM_CLASS_PATH:$VMM_LOCAL_LIB/ibm-wink-jaxrs.jar
VMM_CLASS_PATH=$VMM_CLASS_PATH:$VMM_LOCAL_LIB/slf4j-api.jar
VMM_CLASS_PATH=$VMM_CLASS_PATH:$VMM_LOCAL_LIB/slf4j-jdk14.jar
VMM_CLASS_PATH=$VMM_CLASS_PATH:$VMM_LOCAL_LIB/jsr311-api.jar
VMM_CLASS_PATH=$VMM_CLASS_PATH:$VMM_LOCAL_LIB/commons-codec.jar

VMM_CLASS_PATH=$VMM_CLASS_PATH:$VMM_LOCAL_LIB/resources.jar
VMM_CLASS_PATH=$VMM_CLASS_PATH:$VMM_LOCAL_LIB/resources_cs.jar
VMM_CLASS_PATH=$VMM_CLASS_PATH:$VMM_LOCAL_LIB/resources_de.jar
VMM_CLASS_PATH=$VMM_CLASS_PATH:$VMM_LOCAL_LIB/resources_es.jar
VMM_CLASS_PATH=$VMM_CLASS_PATH:$VMM_LOCAL_LIB/resources_fr.jar
VMM_CLASS_PATH=$VMM_CLASS_PATH:$VMM_LOCAL_LIB/resources_hu.jar
VMM_CLASS_PATH=$VMM_CLASS_PATH:$VMM_LOCAL_LIB/resources_it.jar
VMM_CLASS_PATH=$VMM_CLASS_PATH:$VMM_LOCAL_LIB/resources_ja.jar
VMM_CLASS_PATH=$VMM_CLASS_PATH:$VMM_LOCAL_LIB/resources_ko.jar
VMM_CLASS_PATH=$VMM_CLASS_PATH:$VMM_LOCAL_LIB/resources_pl.jar
VMM_CLASS_PATH=$VMM_CLASS_PATH:$VMM_LOCAL_LIB/resources_pt_BR.jar
VMM_CLASS_PATH=$VMM_CLASS_PATH:$VMM_LOCAL_LIB/resources_ru.jar
VMM_CLASS_PATH=$VMM_CLASS_PATH:$VMM_LOCAL_LIB/resources_zh_CN.jar
VMM_CLASS_PATH=$VMM_CLASS_PATH:$VMM_LOCAL_LIB/resources_zh_TW.jar
VMM_CLASS_PATH=$VMM_CLASS_PATH:$VMM_LOCAL_LIB/resources_hr.jar
VMM_CLASS_PATH=$VMM_CLASS_PATH:$VMM_LOCAL_LIB/resources_nl.jar
VMM_CLASS_PATH=$VMM_CLASS_PATH:$VMM_LOCAL_LIB/resources_sl.jar

export VMM_CLASS_PATH

if [[ "$1" == "-run" ]]
then
	"$JAVA_CMD" $VMM_PROPERTIES_DEFS -classpath "$VMM_CLASS_PATH" com.ibm.license.mgmt.datacollector.Runner "$@" &
	sleep 10
	"$JAVA_CMD" $VMM_PROPERTIES_DEFS -classpath "$VMM_CLASS_PATH" com.ibm.license.mgmt.datacollector.Runner -testandprintrunningstatus
	RETCODE=$?
else
	"$JAVA_CMD" $VMM_PROPERTIES_DEFS -classpath "$VMM_CLASS_PATH" com.ibm.license.mgmt.datacollector.Runner "$@"
	RETCODE=$?
fi


if [ $RETCODE != 0 ] 
then 
	exit $RETCODE 
fi
